/* ESTILO ALISON MORADO (452,453) */
:root {
    /* COLORES PREDEFINIDOS */
    --color-dorado: linear-gradient(135deg, #c48602,#e7b62e,#d29410, #e0b132, #d99709);
    --color-dorado-claro: linear-gradient(135deg, #C29118,#FEFB34,#FCD429, #F6CD26, #C29118);
    --color-plata: linear-gradient(135deg, #818181, #dcdcdc,#a3a3a3, #cfcfcf,#858585);
    --color-lila: linear-gradient(135deg, #b579b5, #d6a5d6,#bb77bb,#d7a0d7, #bb81bb);
    --color-verde-esmeralda: linear-gradient(135deg, #1db54f, #58c65c,#118d15,#69c36c, #3bab40);
    --color-rosa-fucsia: linear-gradient(135deg, #f02a7d, #ff63b1,#d75294,#fc6fb6, #d36bb4);
    --color-rosa-pastel: linear-gradient(135deg, #f6a6b9,#ffc0ce,#faabbd, #fdcdda, #ec9ab5);
    --color-azul-celeste: linear-gradient(135deg, #77c7e6,#9fd9f0,#4eabcf, #ADD8E6, #69cfdc);
    --color-azul-marino: linear-gradient(135deg, #000080, #143084,#0f2080, #0d2479,#06066c);
    --color-rojo: linear-gradient(135deg, #ba1f1f,#c65454,#b52727, #eb4a4a, #B22222);
}


:root{
    --espacio-arriba:14%;
    --espacio-abajo:27%;
    --separacion:8%;
    --color-principal:#1B488F;
    --text-shadow: rgba(255, 255, 255, 0);
    --padding-bottom: 10%;
    --invertir-img: invert(0%);
    --invertir-img-itinerario: invert(0%);

    /* POSICIONES */
    --decoraciones:2;
    --video:-1;
    --contenido:1;
    --extremos:3;
    --musica:4;

    /* EVENTO */
    --nombre-evento:7vw;
    --nombre-evento-fuente: 'Dancing Script', cursive;
    --nombre-evento-color:#BA8100;
    
    /* NOMBRE O NOMBRES */
    --nombre:18vw;
    --nombre-fuente: 'Dancing Script', cursive;
    --nombre-color:#BA8100;

    /* FOTO */
    --foto-tamanio:80%;

    /* FRASE */
    --frase: 5vw;
    --frase-fuente: 'Bellefair', serif;
    --frase-ancho:60%;

    /* SUBTITULOS */
    --subtitulos:10vw;
    --subtitulos-fuente: 'Quicksand', sans-serif;
    --subtitulos-color:#F7BB52;

    /* TEXTOS */
    --textos:4vw;
    --textos-fuente:'DM Sans', sans-serif;
    --textos-color: #F2D67F;

    /* FECHA */
    --fecha-fuente: 'Albert Sans', sans-serif;

    /* CUENTA REGRESIVA */
    --cuenta-color-fondo: #123577;
    --cuenta-color-texto: #F2D67F;
    --cuenta-color-borde: #F2D67F;
    --cuenta-ancho:90%;

    /* UBICACIONES */
    --lugar:4vw;
    --direccion:4vw;
    --hora:4vw;

    /* DESPEDIDA */
    --despedida: 9vw;

    /* BOTON */
    --boton:3vw;
    --boton-color:#F2D67F;
    --boton-texto-color:#BA8100;    

    /* ICONOS */
    --icono-inv-color: var(--subtitulos-color);
    --icono-itinerario-color: var(--boton-texto-color);
    --ornamento-sepador-color: var(--color-dorado);
    --icono-inv-size: 12.3vw;
    --icono-itinerario-size: 9vw;
    
    /* ITINERARIO */
    --itinerario: 5vw;
    --itinerario-silueta-evento:rgba(255, 255, 255, 0.08);
    --itinerario-silueta-icono: var(--boton-color);

    /* BOCINA */
    --bocina-tamanio: 12vw;
    --bocina-posicion: 3vw;
    --bocina-fondo: rgba(255, 255, 255, 0.6);
    --icono-bocina-color:#123577;

    /* SOBRE */    
    --color-sobre: var(--color-principal);
    --lineas-color: #F2D67F;
    --line-sobre: var(--lineas-color);        
    --banda-sobre-borde: var(--lineas-color);
    --sobre-texto: var(--lineas-color);
    --sobre-font-size:7.8vw;
    --sobre-font-family:'Carattere';
    --sobre-font-weight:900;
    --sobre-letter-spacing:0.2vw;
    --sobre-line-height: 1.0;
}



/* MARK: Decoraciones */
:root{
    --filtro:
    brightness(100%)      /* 100% = normal */
    saturate(100%)        /* 100% = normal */
    hue-rotate(0deg)   /* 0deg = sin cambio de tono */
    blur(0.0vw)          /* 0vw = sin desenfoque */
    opacity(1.0);        /* 1 = totalmente visible */
}

.top img{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    margin-top: -0%;
    margin-left: -0%;
    z-index: var(--decoraciones);
    filter: var(--filtro);
}

.bottom img{
    width: 100%;
    position: fixed;
    bottom: 0;
    right: 0;
    margin-bottom: -0%;
    margin-right: -0%;
    z-index: var(--decoraciones);
    filter: var(--filtro);
}



/* 
@media (prefers-color-scheme: dark) {
    :root {
        --color-principal: #ffdae3;
        --text-shadow: rgba(255, 255, 255, 0.3);
        --nombre-evento-color: rgb(0, 0, 0);
        --nombre-color: rgb(0, 0, 0);
        --subtitulos-color: rgb(28, 28, 28);
        --textos-color: rgb(0, 0, 0);
        --cuenta-color-fondo: rgba(255, 255, 255, 0.9);
        --cuenta-color-texto: rgb(0, 0, 0);
        --boton-color: #ffc1d1;
        --boton-texto-color: rgb(34, 34, 34);
        --bocina-fondo: rgba(255, 255, 255, 0.7);
        --color-sobre: var(--color-principal);
        --line-sobre: rgb(255, 255, 255);
    }
}
 */
/*  
 .top img{
    width: 55%;
    position: fixed;
    top: 0;
    right: 0;
    margin-top: -0%;
    margin-right: -0%;
    z-index: var(--decoraciones);
}
.bottom img{
    width: 55%;
    position: fixed;
    bottom: 0;
    left: 0;
    margin-bottom: -0%;
    margin-left: -0%;
    z-index: var(--decoraciones);
}
 */
/* MARK: Video Fondo */
.video-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index:var(--video);
}

.video-container video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* MARK:Evento */
h1{
    font-family: var(--nombre-evento-fuente);
    font-size: var(--nombre-evento);
    color: var(--nombre-evento-color);
    text-align: center;
    margin: 0;
    z-index: 1;
}


/* MARK:Nombre */
h2{
    font-family: var(--nombre-fuente);
    font-size: var(--nombre);
    color: var(--nombre-color);
    font-weight: 700;
    text-align: center;
    line-height:0.9;
    margin-top: 1vw;
    margin-bottom: 0;
    z-index: 1;
}

h3{
    font-family: "Tangerine", serif;
    font-size: var(--subtitulos);
    color: var(--subtitulos-color);
    margin-top: 0;
    margin-bottom: 2vw;
}


body{
    width: 100%;
    margin: 0;
    display: flex;
    background: var(--color-principal);
    overflow-x:hidden;
    /* overflow-y: hidden; */
    display: flex;
    flex-direction: column;
}

/* MARK: SOMBRA */

:root{
    --v0s: 0.0vw;
    --v1s: 0.2vw;
    --v2s: -0.2vw;
    --ves: 0.1vw;
    --shadow-color: var(--text-shadow);
}

/* MARK: FONDO */
.contenido{
    position: relative;
    margin: auto;

    background: url(Cenicienta.png);
    background-size: contain;
    background-position: center; 
  
    width: 100%;
    padding: 0%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-shadow: 
    var(--v1s) var(--v1s) var(--ves) var(--shadow-color),
    var(--v1s) var(--v0s) var(--ves) var(--shadow-color),
    var(--v1s) var(--v2s) var(--ves) var(--shadow-color),
    var(--v2s) var(--v1s) var(--ves) var(--shadow-color),
    var(--v2s) var(--v0s) var(--ves) var(--shadow-color),
    var(--v2s) var(--v2s) var(--ves) var(--shadow-color), 
    var(--v0s) var(--v1s) var(--ves) var(--shadow-color),
    var(--v0s) var(--v0s) var(--ves) var(--shadow-color),
    var(--v0s) var(--v2s) var(--ves) var(--shadow-color);
    padding-top: var(--espacio-arriba);
    padding-bottom: var(--espacio-abajo);
}


.invertir{
    filter: var(--invertir-img) !important;
}

.invertir-itinerario{
    filter: var(--invertir-img-itinerario) !important;
}

.encabezado{
    z-index: var(--extremos);
    margin: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}



/* MARK: Frase */
.frase{
    z-index: var(--contenido);
    text-align: center;
    font-family: var(--frase-fuente);
    font-size:var(--frase);
    color: var(--textos-color);
    width: var(--frase-ancho);
    line-height:1;
    margin-top: var(--separacion);
}


/* MARK: Familia - Texto */
/* FAMILIA */
.familia{
    z-index: var(--contenido);
    width: 95%;
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-top: var(--separacion);
}

.familia .nombre{
    font-family: var(--textos-fuente);
    font-size: var(--textos);
    color: var(--textos-color);
    margin: 0;
    line-height: 1;
}


/* MARK: MENSAJE */
.mensaje {
    margin-top: 2%;
    margin-bottom: 1%;
    border-radius: 2vw;
    padding: 2vw;
    width: 70%;
    height: 3em; /* Ajusta la altura según tus necesidades */
    border: 0.4vw solid var(--boton-color);
    resize: none; /* Permite al usuario ajustar la altura si lo desea */
}



/* MARK: Fecha */
/* FECHA */
.fecha{
    z-index: var(--contenido);
    font-family: var(--fecha-fuente);
    color: var(--textos-color);
    margin: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: 8vw;
    margin-top: var(--separacion);
}

.fecha p{
    font-size: 5vw;
    font-weight: 600;
}

.fecha .mes{
    font-weight: 500;
}

.fecha .barra{
    font-weight: 900;
    background: var(--textos-color);
    height: 6vw;
    width: 1px;
    margin-left: 2vw;
    margin-right: 2vw;
}

.invisible{
    font-size: 1px;
    color: transparent;
}


/* MARK: Cuenta Regresiva */
/* CUENTA REGRESIVA */
.cuenta{
    z-index: var(--contenido);
    background: var(--cuenta-color-fondo);
    border-radius: 5vw;
    border: 0.4vw solid var(--cuenta-color-borde) !important;
    width: var(--cuenta-ancho);
    padding: 1vw;
    display: flex;
    flex-direction: row;
    font-family: var(--fecha-fuente);
    color: var(--cuenta-color-texto);
    text-shadow: none;
    margin-top: var(--separacion);
}

.cuenta .segmento{
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin:0vw;
}

.cuenta .unidad{
    font-size: 3vw;
}

.cuenta .numero{
    font-size: 4vw;
    font-weight: 900;
    margin-right: 2vw;
}




/* MARK: Ubicación */
/* UBICACION */
.ubicacion{
    margin: auto;
    text-align: center;
    width: 70%;
    display: flex;
    flex-direction: column;
    z-index: var(--contenido);
    text-decoration: none;
    margin-top: var(--separacion);
}

.ubicacion img{
    filter: var(--color-fotos);
    width: 15%;
    opacity: 0.9;
}
.ubicacion .foto{
    filter: invert(0%);
    border-radius: 2vw;
    width: 90% ;
    margin-bottom: 1VW;
    animation: rotar 3s infinite;
}

.ubicacion .lugar{
    font-family: var(--subtitulos-fuente);
    font-weight: 800;
    font-size: var(--lugar);
    line-height: 1;
    color: var(--subtitulos-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0;
}

.ubicacion .direccion{
    font-family: var(--textos-fuente);
    color: var(--textos-color);
    font-size: var(--direccion);
    line-height: 0.9;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 1vw;
}

.ubicacion .hora{
    font-family: var(--subtitulos-fuente);
    font-weight: 800;
    color: var(--subtitulos-color);
    font-size: var(--hora);
}

/* MARK: Botones */
.boton{
    z-index: var(--contenido);
    font-family: var(--subtitulos-fuente);
    font-weight: 800;
    font-size: var(--boton);
    text-shadow: none;
    margin: auto;
    margin-top: 1vw;
    margin-bottom: 2vw;
    background: var(--boton-color);
    color: var(--boton-texto-color);
    padding: 1vw;
    border-radius: 2vw;
    width: 25%;
    border: 0.1vw solid var(--boton-texto-color);
}



/* MARK: Texto - img */
/* EXTRA */
.extra{
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    text-decoration: none;
    z-index: var(--contenido);
    margin-top: var(--separacion);
}

.extra img{
    width: 12%;
}

.extra .qr{
    width: 50%;
    border-radius: 10%;
}

.extra .texto{
    font-family: var(--textos-fuente);
    font-size: var(--textos);
    color: var(--textos-color);
    margin-top: 1vw;
    margin-bottom: 0vw;
    width: 80%;
    line-height: 1.2;
}

.extra .importante{
    font-family: var(--textos-fuente);
    font-size: var(--textos);
    color: var(--textos-color);
    margin-top: 0vw;
    margin-bottom: 2vw;
    width: 95%;
    line-height: 1;
}

.extra .informacion{
    display: flex;
    flex-direction: column;
}

button{
    border: none;
}

/* MARK: Fotos */
/* RECUERDOS */
#grid{
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    text-decoration: none;
    z-index: var(--contenido);
    margin-top: var(--separacion);
    margin-bottom: -10%;
}

#grid .container-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 2%;
}

#grid .column {
    flex: 0 0 calc(33.33% - 2%);
}
  
#grid .column.full-width {
    flex-basis: 100%;
}

#grid .dos-fotos {
    display: grid;
    justify-content: space-between;
    grid-template-columns: 49% 49%;
    row-gap: 2%;
    margin-bottom: -1.4%;
}
  
#grid img {
    width: 100%;
    height: auto;
    display: block;
    margin-bottom: 10%;
    border-radius: 2vw;
    animation: rotar 5s infinite;
}


.foto-con-degradado {
    position: relative;
    display: inline-block;
    width: 100%;
    overflow: hidden;
    mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1) 15%, rgba(0, 0, 0, 1) 85%, rgba(0, 0, 0, 0));
    -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1) 15%, rgba(0, 0, 0, 1) 85%, rgba(0, 0, 0, 0));
    margin-top: var(--separacion);
}


.foto-con-degradado-circular {
    position: relative;
    display: inline-block;
    width: 100%;
    border-radius: 5vw;
    overflow: hidden;
    mask-image: radial-gradient(circle, rgba(0, 0, 0, 1) 40%, rgba(0, 0, 0, 0) 80%);
    -webkit-mask-image: radial-gradient(circle, rgba(0, 0, 0, 1) 40%, rgba(0, 0, 0, 0) 80%);
}
  
.foto-full {
    width: 100%;
    display: block;
}


/* MARK: Itinerario */
/* ITINERARIO */
.itinerario{
    z-index: var(--contenido);
    width: 70%;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    margin-top: var(--separacion);
}

.itinerario .evento{
    display: grid;
    grid-template-columns: 45% 45%;
    column-gap: 10%;
    margin-top: 2vw;
    background: var(--itinerario-silueta-evento);
    border-radius: 5vw;
    padding: 2vw;
    backdrop-filter: blur(1vw);
}

.itinerario .evento .icono{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.itinerario .evento .icono .circulo{
    margin: auto;
    width: 16vw;
    height: 16vw;
    border-radius: 50%;
    background: var(--itinerario-silueta-icono);
    display: flex;
    justify-content: center;
    align-items: center;
}

.itinerario .evento .icono .circulo img{
    margin: auto;
    width: 60%;
}

.itinerario .evento .item{
    display: flex;
    flex-direction: column;
    text-align: center;
}

.itinerario .evento .item .nombre{
    font-size: var(--textos);
    color: var(--textos-color);
    font-family: var(--textos-fuente);
    margin: auto;
}

.itinerario .evento .item .hora{
    font-size: var(--itinerario);
    color: var(--subtitulos-color);
    font-family: var(--subtitulos-fuente);
    margin: auto;
}





/* MARK: Despedida */
/* DESPEDIDA */
.despedida{
    z-index: var(--extremos);
    font-size: var(--despedida);
    font-family: var(--nombre-fuente);
    margin-top: var(--separacion);
    text-align: center;
    width: 80%;
    color: var(--subtitulos-color);
}


/* MUSICA */
#toggleButton {
    position: fixed;
    z-index: var(--musica);
}

 .reloj-silueta{
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: rgba(5, 40, 83, 0.353);
    width: 80%;
    border-top-right-radius: 50%;
    border-top-left-radius: 50%;
    padding-bottom: 5vw;
    padding-top: 5vw;
    margin-top: 5%;
    border: 0.5vw solid #F3CC7A;
 }



/* MARK: Bocina */
.bocina-wrapper {
    position: fixed;
    left: var(--bocina-posicion);
    bottom: var(--bocina-posicion);
    /* BOCINA EN MEDIO */
    left: 44.7vw;
    bottom: 1vw;
    width: var(--bocina-tamanio);
    height: var(--bocina-tamanio);
    border-radius: 50%;
    background-color: var(--bocina-fondo); /* Fondo blanco circular */
    padding: 0.2vw;
    box-shadow: 0vw 0vw 0.2vw 0vw rgba(0, 0, 0, 0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.bocina-icon {
    width: 100%;
    height: 100%;
    background: var(--icono-bocina-color); /* color del ícono */
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}


.boom {
    animation: 1.5s boom infinite;
}

@keyframes boom {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(0.9);
    }

    100% {
        transform: scale(1);
    }
}




/* MARK: SOBRE */
.sobre .first {
    background-color: var(--color-principal);
    border: 0.3vw solid var(--line-sobre) !important;
}

.sobre .second {
    background-color: var(--color-principal);
    border: 0.3vw solid var(--line-sobre) !important;
}

.sello {
    background: var(--color-sobre);
    color: var(--sobre-texto);
    box-shadow: none;
    border: 0.6vw solid var(--line-sobre) !important;
    font-family: var(--sobre-font-family);
    font-size: var(--sobre-font-size);
    font-weight: var(--sobre-font-weight);
    letter-spacing: var(--sobre-spacing);
    line-height: var(--sobre-line-height);
}

.banda-sobre{
    border: solid 1.4vw var(--banda-sobre-borde);
}


/* MARK: ANIMACIONES */
@keyframes aleteo {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.15) rotateY(45deg);
    }

    100% {
        transform: scale(1);
    }
}



/* MARK: ICONOS */
.icono-inv {
    width: var(--icono-inv-size);
    height: var(--icono-inv-size);
    background: var(--icono-inv-color);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

.icono-itinerario {
    width: var(--icono-itinerario-size);
    height: var(--icono-itinerario-size);
    background: var(--icono-itinerario-color);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}


.ornamento-color {
    width: var(--icono-itinerario-size);
    height: var(--icono-itinerario-size);
    background: var(--ornamento-sepador-color);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}

#destinatario {
    color: #b98627; /* Cambia el color del texto de las opciones */
}


/* MARK: WHATSAPP */

.confirmacion-asistencia{
    text-align: center;
    width: 90%;
    margin: auto;
    margin-bottom: 2%;
    margin-top: var(--separacion);
}

.confirmacion-asistencia form{
    margin: auto;
    margin-top: 2%;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--textos-color);
    font-size: var(--textos);
    font-family: var(--textos-fuente);
}

textarea{
    border-radius: 2vw;
    border: 0.4vw solid var(--cuenta-color-borde) !important;
    background: var(--cuenta-color-fondo);
    color: var(--cuenta-color-texto);
    font-size: 3vw !important;
}

.confirmacion-asistencia .familia-input{
    border-radius: 2vw;
    width: 60%;
    border: 0.4vw solid var(--cuenta-color-borde);
    margin-top: 1%;
    padding: 0.7vw;
    background: var(--cuenta-color-fondo);
    color: var(--cuenta-color-texto);
    font-size: 3vw;
}

.confirmacion-asistencia select{
    border-radius: 2vw;
    font-size: 3vw;
    text-align: center;
    width: 60%;
}
  
/*
.decoracion-corona {
    width: 40%; 
    aspect-ratio: 1;
    -webkit-mask-image: url('../../../../Decoraciones/corona-icono.png');
    mask-image: url('../../../../Decoraciones/corona-icono.png');
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    -webkit-mask-position: center;
    mask-position: center;
    -webkit-mask-size: contain;
    mask-size: contain;
    background: #84509B;    
}
MARK: COLORES 
PLATA:
linear-gradient(45deg, 
        #e0e0e0,
        #c0c0c0, 
        #f5f5f5, 
        #a8a8a8, 
        #f5f5f5, 
        #c0c0c0, 
        #e0e0e0 
    );

DORADO: 
linear-gradient(45deg, 
        #d4af37, 
        #c09824, 
        #f1c232, 
        #bf9b30, 
        #f1c232, 
        #c09824, 
        #d4af37
    );
 */